.NET
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

I just need to insert a block (drawing)

1 REPLY 1
Reply
Message 1 of 2
celsoven
366 Views, 1 Reply

I just need to insert a block (drawing)

Hello...

 

I'm desperate...

 

I just need to insert a drawing or external block into my current drawing.

 

Something to easy with Visual Lisp.

 

(defun c:InsertBlock (/)

   (setq insertionPoint (getpoint "Insertion Point"))

   (setq XFactor 1)

   (setq YFactor 1)

   (setq Rotation 0)

   (command "-insert" "c:\\blocks\block.dwg" insertionPoint XFactor Yfactor Rotation)

  )

 

Why in .Net is so difficult to me ?....

 

 

Please forgive me.

 

Thanks in advance.

 

 

 

 

1 REPLY 1
Message 2 of 2
chiefbraincloud
in reply to: celsoven

Look at this blog post for how to pull the external dwg into the current database as a Block definition.

 

http://through-the-interface.typepad.com/through_the_interface/2011/01/combining-autocad-blocks-in-s...

 

And this post on how to jig a block with attributes.

 

http://through-the-interface.typepad.com/through_the_interface/2009/03/jigging-an-autocad-block-with...

 

You can create a blockreference in the database without jigging, but jigging is how you let the user see what he is inserting when you prompt for the insertion point.

Dave O.                                                                  Sig-Logos32.png

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk DevCon in Munich May 28-29th


Autodesk Design & Make Report

”Boost